<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["consertar"] == true) {
$personagem = $_GET["cpontos_personagem"];
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$personagem."' and accountid='".$_SESSION["login"]."'"));
$status = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($personagem == "") {
	echo $bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>');
}
elseif($ver_char < 1) {
	echo $bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>');
}
elseif($status[0] > 0) {
	echo $bbcode->bbcode('<div class="box_conteudo">Necessário estar deslogado</div>');
}
else{
	$dados = mssql_fetch_row(mssql_query("select strength,dexterity,vitality,energy from character where name='".$personagem."'"));
	if($dados[0] >= 0 && $dados[1] >= 0 && $dados[2] >= 0 && $dados[3] >= 0) {
	exit('<div class="box_conteudo">Nada de errado com o personagem '.$personagem.'</div>');
    }
	$f = $dados[0];
	$a = $dados[1];
	$v = $dados[2];
	$e = $dados[3];
	if($dados[0] < 0) {$f = "".max_points."";}
	if($dados[1] < 0) {$a = "".max_points."";}
	if($dados[2] < 0) {$v = "".max_points."";}
	if($dados[3] < 0) {$e = "".max_points."";}
	if($dados[0] == "") {$f = "".max_points."";}
	if($dados[1] == "") {$a = "".max_points."";}
	if($dados[2] == "") {$v = "".max_points."";}
	if($dados[3] == "") {$e = "".max_points."";}
	mssql_query("update character set strength='$f',dexterity='$a',vitality='$v',energy='$e' where name='".$personagem."'");
	echo $bbcode->bbcode('<div class="box_conteudo">Os pontos do personagem '.$personagem.' foram consertados</div>');
}
}

?>